Bug 850625 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:0501be02f987801f3685a14ccdd...
:
: 857615 861133 861363 863006 868804 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 22:49 EDT by ruy alvarez
Modified: 2013-08-01 16:12 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.62 KB, text/plain)
2012-08-21 22:49 EDT, ruy alvarez
no flags Details
File: Xorg.0.log (52.56 KB, text/plain)
2012-08-21 22:49 EDT, ruy alvarez
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (468 bytes, text/plain)
2012-08-21 22:49 EDT, ruy alvarez
no flags Details

  None (edit)
Description ruy alvarez 2012-08-21 22:49:24 EDT
Description of problem:
before this crash i make a change in the /usr/share/X11/xorg/conf.d/10-evdev.conf following this page:https://bbs.archlinux.org/viewtopic.php?id=117726. After trying the solution i still have the problem with x and synaptics, but abrt is able to detect and i can finally report the bug.


PS: When is Wayland coming?


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11.22.g4db8.dirty
kernel:         3.5.2-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:2: /usr/bin/Xorg (xf86PostMotionEvent+0xd0) [0x490070]
:3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f7fed9ba000+0x5025) [0x7f7fed9bf025]
:4: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f7fed9ba000+0x6f44) [0x7f7fed9c0f44]
:5: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:6: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:7: /lib64/libpthread.so.0 (0x3aa3800000+0xefe0) [0x3aa380efe0]
:8: /lib64/libc.so.6 (ioctl+0x7) [0x3aa34ea2f7]
:9: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f7ff03eb5f8]
:10: /lib64/libdrm_intel.so.1 (0x7f7fefcaa000+0x6b60) [0x7f7fefcb0b60]
:11: /lib64/libdrm_intel.so.1 (0x7f7fefcaa000+0x78d4) [0x7f7fefcb18d4]
:12: /lib64/libdrm_intel.so.1 (0x7f7fefcaa000+0x79ed) [0x7f7fefcb19ed]
:13: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f7fefec9000+0x189a7) [0x7f7fefee19a7]
:14: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f7fefec9000+0x18ab7) [0x7f7fefee1ab7]
:15: /usr/bin/Xorg (0x400000+0x100dbf) [0x500dbf]
:16: /usr/lib64/xorg/modules/extensions/libextmod.so (0x7f7ff0e97000+0xe509) [0x7f7ff0ea5509]
:17: /usr/bin/Xorg (0x400000+0xda048) [0x4da048]
:18: /usr/bin/Xorg (0x400000+0x55442) [0x455442]
:19: /usr/bin/Xorg (FreeResource+0xdb) [0x455bfb]
:20: /usr/bin/Xorg (0x400000+0x2fe7e) [0x42fe7e]
:21: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
:22: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:23: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3aa3421735]
:24: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 ruy alvarez 2012-08-21 22:49:28 EDT
Created attachment 606096 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 ruy alvarez 2012-08-21 22:49:33 EDT
Created attachment 606097 [details]
File: Xorg.0.log
Comment 3 ruy alvarez 2012-08-21 22:49:36 EDT
Created attachment 606098 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 ruy alvarez 2012-09-15 11:52:40 EDT
i discover a workaround using Jupiter, wich has the ability to enable or disable the touchpad. If X11 crash and i disable and enable the touchpad it start working again, indicaiting that the problem will be a detection poblem?
Comment 5 Adam Jackson 2012-11-29 17:16:04 EST
*** Bug 857615 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2012-11-29 17:16:07 EST
*** Bug 861133 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2012-11-29 17:16:09 EST
*** Bug 861363 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2012-11-29 17:16:12 EST
*** Bug 863006 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2012-11-29 17:16:15 EST
*** Bug 868804 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2013-01-23 17:11:40 EST
xorg-x11-server-1.12.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-3.fc17
Comment 11 Fedora Update System 2013-01-24 17:22:36 EST
Package xorg-x11-server-1.12.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.12.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1410/xorg-x11-server-1.12.4-3.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-01-29 03:00:36 EST
xorg-x11-server-1.12.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17
Comment 13 Fedora Update System 2013-02-14 16:33:05 EST
xorg-x11-server-1.12.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-6.fc17
Comment 14 Jeff 2013-02-27 07:04:47 EST
I turned my computer on.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Fedora Update System 2013-04-17 01:19:16 EDT
xorg-x11-server-1.12.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-7.fc17
Comment 16 Fedora Update System 2013-06-07 19:42:29 EDT
xorg-x11-server-1.12.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora End Of Life 2013-07-04 03:48:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-08-01 16:12:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.